package cn.edu.whu.boot.statistics.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Repository
public interface ProgressStatMapper {


    String getTaskDBNameById(@Param("taskId") int taskId);

    String getTaskXmlNameById(@Param("taskId") int taskId);

    List<String> getTasks();

    String getTaskXmlName(@Param("tskName") String tskName);

    String getTaskDBName(@Param("tskName") String tskName);

    int getCount(@Param("tblName") String tblName);

    List<HashMap<String, Long>> statDaily(@Param("tblName") String tblName , @Param("startTime") String startTime , @Param("endTime") String endTime);

    List<HashMap<String, Long>> statMonthly(@Param("tblName") String tblName , @Param("startTime") String startTime , @Param("endTime") String endTime);

    int getCountInAPeriod(@Param("tblName") String tblName , @Param("startTime") String startTime , @Param("endTime") String endTime);
}
